summaryrefslogtreecommitdiffstats
path: root/source/l/cairo/cairo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/cairo/cairo.SlackBuild')
-rwxr-xr-xsource/l/cairo/cairo.SlackBuild40
1 files changed, 29 insertions, 11 deletions
diff --git a/source/l/cairo/cairo.SlackBuild b/source/l/cairo/cairo.SlackBuild
index 655cf2f49..cd31e8ecd 100755
--- a/source/l/cairo/cairo.SlackBuild
+++ b/source/l/cairo/cairo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008-2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.8.8
-BUILD=${BUILD:-3}
+VERSION=1.10.2
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,11 +67,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Use libpng-1.4.x:
-zcat $CWD/cairo.libpng14.diff.gz | patch -p0 --verbose || exit 1
-
-# Time to try leaving this out again?
-# --disable-xcb
+# Thanks to Ubuntu for this, but I found it at Gentoo's bugtracker
+# http://bugs.gentoo.org/show_bug.cgi?id=336696
+zcat $CWD/cairo-1.10.0-buggy_gradients.patch.gz | patch -p1 || exit 1
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -80,10 +78,30 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--sysconfdir=/etc \
--disable-gtk-doc \
- --disable-glitz \
--disable-quartz \
--disable-static \
- --disable-win32
+ --disable-win32 \
+ --disable-trace \
+ --enable-xlib \
+ --enable-freetype \
+ --enable-ps \
+ --enable-pdf \
+ --enable-svg \
+ --enable-tee \
+ --enable-gobject \
+ --build=$ARCH-slackware-linux
+# None of these are 'stable' yet...
+# --enable-qt \
+# --enable-gl \
+# --enable-drm \
+# --enable-xcb \
+# --enable-xlib-xcb \
+# --enable-xcb-drm \
+# --enable-drm-xr \
+# Skipping this, because it causes a dependency on the specific
+# version of binutils installed at compile time:
+# --enable-trace
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG
@@ -92,7 +110,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/cairo-$VERSION
cp -a \
- AUTHORS COPYING* NEWS README TODO \
+ AUTHORS BIBLIOGRAPHY BUGS CODING_STYLE COPYING* HACKING NEWS PORTING_GUIDE README RELEASING \
$PKG/usr/doc/cairo-$VERSION
( cd $PKG/usr/doc/cairo-$VERSION ; ln -sf /usr/share/gtk-doc/html/cairo html )